	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////
	// WebEditor - Copyright 2004 mytnt.co.kr
	//
	// A WYSIWYG Editor Tool
	// Developed By Sanjuck(mg_kang@hotmail.com)
	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////	
	
	table.prototype.oTable;
	table.prototype.oTd;
	table.prototype.oTh;
	table.prototype.oTr;
	table.prototype.oTbody;
	
	function table(oElement){
		this.oTable = null;
		this.oTd = null;
		this.oTh = null;
		this.oTr = null;
		this.oTbody = null;
		
		while(oElement && oElement.nodeType==1 && oElement.tagName != 'TABLE'){
			switch(oElement.tagName){
				case 'TD': this.oTd = oElement; break;
				case 'TH': this.oTh = oElement; break;
				case 'TR': this.oTr = oElement; break;
				case 'TBODY': this.oTbody = oElement; break;
			}
			oElement = oElement.parentElement;
		}
		this.oTable = oElement;
	}
	
	table.prototype.addRow = function(){
		if( this.oTr ) {
			var oTr2 = this.oTable.insertRow(this.oTr.rowIndex+1);
			for( var i=0; i<this.oTable.rows[this.oTr.rowIndex].cells.length; i++ ) oTr2.insertCell();
		}
	}
	
	table.prototype.addCol = function(){
		if( this.oTr && this.oTd ) for( var i=0; i<this.oTable.rows.length; i++ ) this.oTable.rows[i].insertCell(this.oTd.cellIndex+1);
	}
	
	table.prototype.addCell = function(){
		if( this.oTr && this.oTd ) this.oTable.rows[this.oTr.rowIndex].insertCell(this.oTd.cellIndex+1);
	}
	
	table.prototype.delRow = function(){
		if( this.oTr ) this.oTable.deleteRow(this.oTr.rowIndex);
	}
	
	table.prototype.delCol = function(){
		if( this.oTr && this.oTd ) for( var i=0; i<this.oTable.rows.length; i++ ) this.oTable.rows[i].deleteCell(this.oTd.cellIndex);
	}
	
	table.prototype.delCell = function(){
		if( this.oTr && this.oTd ) this.oTr.deleteCell(this.oTd.cellIndex);
	}
		
	table.prototype.spanRow = function(){
		if(typeof this.oTable.rows[this.oTr.rowIndex+1] != 'undefined' && typeof this.oTable.rows[this.oTr.rowIndex+1].cells[this.oTd.cellIndex] != 'undefined'){
			this.oTable.rows[this.oTr.rowIndex].cells[this.oTd.cellIndex].innerHTML += this.oTable.rows[this.oTr.rowIndex+1].cells[this.oTd.cellIndex].innerHTML;
			this.oTable.rows[this.oTr.rowIndex+1].deleteCell(this.oTd.cellIndex);
			this.oTd.rowSpan += 1;
		}
	}
	
	table.prototype.spanCol = function(){
		if(typeof this.oTable.rows[this.oTr.rowIndex].cells[this.oTd.cellIndex+1] != 'undefined'){
			this.oTable.rows[this.oTr.rowIndex].cells[this.oTd.cellIndex].innerHTML += this.oTable.rows[this.oTr.rowIndex].cells[this.oTd.cellIndex+1].innerHTML;
			this.oTr.deleteCell(this.oTd.cellIndex+1);
			this.oTd.colSpan += 1;
		}
	}
	
	table.prototype.update = function(sSource){
		if(this.oTd){
			var sHTML = '';
			sHTML += this.oTable.outerHTML.substring(0, this.oTable.outerHTML.indexOf(this.oTable.innerHTML));
			for( var i=0; i<this.oTable.rows.length; i++){
				sHTML += this.oTable.rows[i].outerHTML.substring(0, this.oTable.rows[i].outerHTML.indexOf(this.oTable.rows[i].innerHTML));
				for( var j=0; j<this.oTable.rows[i].cells.length; j++){
					if( i == this.oTd.parentElement.rowIndex && j == this.oTd.cellIndex ) sHTML += sSource;
					else sHTML += this.oTable.rows[i].cells[j].outerHTML;
				}
				sHTML += this.oTable.rows[i].outerHTML.substring(this.oTable.rows[i].outerHTML.indexOf(this.oTable.rows[i].innerHTML)+this.oTable.rows[i].innerHTML.length);
			}
			sHTML += this.oTable.outerHTML.substring(this.oTable.outerHTML.indexOf(this.oTable.innerHTML)+this.oTable.innerHTML.length);
			this.oTable.outerHTML = sHTML;
		}
		else this.oTable.outerHTML = sSource;
	}